Bug 1313013 - No display with kernels from 4.4.2-301.fc23.x86_64
No display with kernels from 4.4.2-301.fc23.x86_64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 12:27 EST by reescf
Modified: 2016-12-20 14:08 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:08:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description reescf 2016-02-29 12:27:52 EST
Description of problem:

After kernel 4.4.2-301.fc23.x86_64 is loaded from the Grub menu, video output ceases and the screen reports 'No signal'. Kernel 4.3.5-300.fc23.x86_64 continues to work fine.

Version-Release number of selected component (if applicable):

Kernel is 4.4.2-301.fc23.x86_64

How reproducible:

Every time. Well, every time I tried.

Steps to Reproduce:

1. Run dnf upgrade to update system and install relevant kernel.
2. Reboot.
3. Ensure that the new kernel is selected in Grub2's menu.

Actual results:

No further visual output is received by the display which reports 'No signal' and switches off to save energy.
Interaction via keyboard/mouse does not activate output to the display which remains blank.
Actual results are pretty dull.

Note that as far as I can tell from the journal, the system otherwise boots normally. If I enter my LUKS password even though I cannot see the display, the journal shows that the various volumes are mounted as usual.

Expected results:

Video output to display should continue so that users who rely on visual input for information can interact with the computer as with earlier versions of the kernel.
The video signal should not cease when the kernel is loaded.

Additional info:

The journal reports a possible BIOS bug for the display. However, it reports this for all boots, including those with earlier kernels which work fine. That report says 'EHCI: BIOS handoff failed (BIOS bug?)' for pci 0000.00:1a.7 and 0000:00:1d.7. The only other obviously significant complaint is many, many iterations of 'rngd [1762]: read error*' which ends with 'No entropy sources working, exiting rngd'. However, again, this is reported for successful boots with earlier kernels, too.

Menu entries from grub.cfg:

menuentry 'Fedora (4.4.2-301.fc23.x86_64) 23 (Twenty Three)' --class fedora --class gnu-linux --class gnu --class os --unrestricted $menuentry_id_option 'gnulinux-4.4.2-301.fc23.x86_64-advanced-<long-id-thing>' {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod part_gpt
        insmod ext2
        set root='hd0,gpt2'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,gpt2 --hint-efi=hd0,gpt2 --hint-baremetal=ahci0,gpt2 --hint='hd0,gpt2'  <long-id-thing>
        else
          search --no-floppy --fs-uuid --set=root <long-id-thing>
        fi
        linux16 /vmlinuz-4.4.2-301.fc23.x86_64 root=/dev/mapper/f101-fedora ro rd.md=0 rd.dm=0  rd.lvm.lv=f101/swap rd.luks.uuid=luks-<long-id-thing> vconsole.font=latarcyrheb-sun16 vconsole.keymap=uk rd.lvm.lv=f101/fedora rd.lvm.lv=f101/lleol rd.lvm.lv=f101/between rd.lvm.lv=f101/cartref rhgb quiet 
        initrd16 /initramfs-4.4.2-301.fc23.x86_64.img
}
menuentry 'Fedora (4.3.5-300.fc23.x86_64) 23 (Twenty Three)' --class fedora --class gnu-linux --class gnu --class os --unrestricted $menuentry_id_option 'gnulinux-4.3.5-300.fc23.x86_64-advanced-<long-id-thing>' {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod part_gpt
        insmod ext2
        set root='hd0,gpt2'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,gpt2 --hint-efi=hd0,gpt2 --hint-baremetal=ahci0,gpt2 --hint='hd0,gpt2'  <long-id-thing>
        else
          search --no-floppy --fs-uuid --set=root <long-id-thing>
        fi
        linux16 /vmlinuz-4.3.5-300.fc23.x86_64 root=/dev/mapper/f101-fedora ro rd.md=0 rd.dm=0  rd.lvm.lv=f101/swap rd.luks.uuid=luks-<long-id-thing> vconsole.font=latarcyrheb-sun16 vconsole.keymap=uk rd.lvm.lv=f101/fedora rd.lvm.lv=f101/lleol rd.lvm.lv=f101/between rd.lvm.lv=f101/cartref rhgb quiet 
        initrd16 /initramfs-4.3.5-300.fc23.x86_64.img
}

and load_video:

function load_video {
  if [ x$feature_all_video_module = xy ]; then
    insmod all_video
  else
    insmod efi_gop
    insmod efi_uga
    insmod ieee1275_fb
    insmod vbe
    insmod vga
    insmod video_bochs
    insmod video_cirrus
  fi
}

grub.cfg is generated using grub2-mkconfig -o /boot/grub2/grub.cfg because updating the kernel does not update the boot loader configuration. Note that is is unrelated to the problem with the kernel upgrade. System updates have never updated the boot loader configuration on Fedora - I've always needed to update grub.cfg manually.
Comment 1 reescf 2016-02-29 12:47:51 EST
Apologies but I forgot to provide any information about my display:

lspci -kvv gives the following for the relevant (I think) device:

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
        Subsystem: Intel Corporation Device 1003
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 26
        Region 0: Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at f1c0 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee0200c  Data: 41e1
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: i915
        Kernel modules: i915

[This information was collected when booted from 4.3.5.]

Please let me know if I might provide further information.
Comment 2 Michael Hansen 2016-03-04 05:38:53 EST
I am seeing same problem with both 4.4.2 and 4.4.3. Kernel 4.3.5 still works fine.

My video driveer is (lspci -kvv):
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        DeviceName:  Onboard IGD
        Subsystem: Dell Device 0577
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 29
        Region 0: Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at f000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915


Please let me know if I might provide information.
Comment 3 Mathieu Chouquet-Stringer 2016-03-04 08:11:25 EST
Same problem here with this device:

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company Device 2a94
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 28
        Region 0: Memory at fe400000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at c080 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee0300c  Data: 4152
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [a4] PCI Advanced Features
                AFCap: TP+ FLR+
                AFCtrl: FLR-
                AFStatus: TP-
        Kernel driver in use: i915
        Kernel modules: i915
Comment 4 ChuckV 2016-03-04 10:39:04 EST
Same problem here with the addition that VGA analog output functions properly while DVI digital connection goes <blank>.

4.4.3-300.fc23.x86_64 == BAD
4.3.5-300.fc23.x86_64 == Ok

00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Gigabyte Technology Co., Ltd Device d000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 33
        Region 0: Memory at f7400000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at f000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee0200c  Data: 4182
        Capabilities: [d0] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [a4] PCI Advanced Features
                AFCap: TP+ FLR+
                AFCtrl: FLR-
                AFStatus: TP-
        Kernel driver in use: i915
        Kernel modules: i915
Comment 5 reescf 2016-03-04 11:09:00 EST
Just to confirm that the problem also persists for me with kernel 4.4.3-300.fc23.x86_64. 4.3.5-300.fc23.x86_64 continues to work fine. All other information as specified in my original report above.

I checked in light of ChuckV's post and my box is, indeed, hooked up to DVD-D. I can't confirm VGA is working, but I have no evidence to the contrary. The loss of output is definitely to DVD out.

Again, would be very happy to provide any further information which might be helpful.
Comment 6 Laura Abbott 2016-03-04 16:43:40 EST
*** Bug 1314492 has been marked as a duplicate of this bug. ***
Comment 7 ben 2016-03-06 13:15:15 EST
I too have VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (GM45), Intel Corporation 82801 (ICH9 Family)
which boots fine with the 4.4* kernels but having trouble creating custom kernel that boots & stops @;
 [   0.831057] Failed to find cpu0 device node
Comment 8 Masoud Pajoh 2016-03-07 09:39:59 EST
I have:
Evga Geforce 7600 GS PCI-E 256mb DDR2 video card

Using kernels 4.4.3-300.fc23.x86_64.

After building the relevant KMOD, "startx" fails with the message:

Oops, something went wrong. . .

the examining the xorg.0.log shows:
[  870.731]  (EE) NVIDIA(0): failed to initialize GLX module; please check your X log file that your GLX module has been loaded in your X server, and that the module is the NVIDIA GLX module.  If you continue to encounter problems, please try reinstalling the NVIDIA driver.
[  871.927]  (EE) AIGLX: reverting to software rendering.
[  871.584]  (EE) AIGLX error: dlopen of /user/lib64/dri/swrast_dri.so failed (/use/lib64/dri/swrast_dri.so: "undefined symbol: _glapi_tls_Dispatch).
[  871.927]  (EE) AIGLX: Couyld not load software render.

This problem started with 4.4.xxx series kernels.
Comment 9 Jon Schlueter 2016-03-07 17:19:55 EST
I am seeing similar issue with kernel kernel-4.4.3-300.fc23.x86_64 but it goes away if I roll back to kernel-4.3.5-300.fc23.x86_64 on the grub boot menu.

Last time I tried it my system came up to a chooser prompt but when I tried to log in (startx) phase things froze up.
Comment 11 Jason Joyce 2016-03-09 09:37:11 EST
I am seeing a similar issue when resuming from suspend or hibernate with kernel kernel-4.4.3-300.fc23.x86_64. I lose video once I reach the chooser, the only way to recover is to hard reset the machine, thus losing the suspend/hibernate state.

The issue seems more intermittent with the 4.4.2 kernel, but still occurs.
Comment 12 ben 2016-03-09 13:40:37 EST
...sorry, seems DRM_i915_PRELIMARY_HW_SUPPORT selected in custom kernel was causing no boot with 4.4* kernels for me!
Comment 13 ben 2016-03-09 14:10:38 EST
..found it only boots with GENERIC_CPU selected for processor type & won't boot with MCORE2, with what my machine is. 64bit T9500
Comment 14 ben 2016-03-09 14:41:43 EST
Trouble with compilinig kernel 4.4*
previous 2 comments don't hold true.
Apologies.
4.3 was fine.
Comment 15 ben 2016-03-09 18:10:55 EST
No consolation but 'nailed it' & manged to compile custom kernel but unable to verify cause of previous; blurry fish eye

VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
        Subsystem: Sony Corporation Device 9045
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 32
        Region 0: Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at e140 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee0100c  Data: 41b2
        Capabilities: [d0] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: i915
        Kernel modules: i915
Comment 16 reescf 2016-03-12 13:42:29 EST
Not to be pedantic but recent additions to this report appear to have precious little to do with the problem reported by myself and the other users who initially confirmed and expanded on the details I provided. 

I'm not sure what to do about this, but the different bugs reported need to be split out into separate reports. 

The bug I reported here has nothing to do with startx, for example - the failure to DVD-D out is prior to the prompt for my LUKS password, so comes before the system can even read the X configuration etc. which is still encrypted at that point. (/etc is on the encrypted root.) And it clearly has nothing to do with failures associated with NVIDIA, which is presumably a reference to the proprietary driver and, in any case, not Intel graphics of any stripe.
Comment 17 reescf 2016-03-12 14:06:22 EST
Is it known whether this is an upstream bug and, if so, whether it has been reported?
Comment 18 ken 2016-03-13 10:08:54 EDT
I too have this problem, and agree with reescf. Too many issues not associated with original problem. 

In short, the problem is with i915 driver. NOT 'X'!. NOT NVidia!.

I have two systems, both with intel chipsets. From lspci:

(bad system)
00:00.0 Host bridge: Intel Corporation 4 Series Chipset DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)

(good system)
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)

The bad system has failed for all 4.4.x kernels. (the good system works with all.)

The bad system will "successfully" boot, but with no video. I can access the system via ssh, as well as connect to its NFS drives.

If I boot the bad system with 'nomodeset', the boot works fine - including video. But display is set to VGA.

NOTE: should this be listed as a 'org-x11-drv-intel' component? I believe the problem is with the i915 kernel mod drivers. Also, for me and maybe others, this comes close to a show-stopper. Please someone change the status, etc., and hopefully fix this.
Comment 19 Laura Abbott 2016-03-14 18:01:22 EDT
Yes, the xorg-x11-drv-intel component is correct.
Comment 20 reescf 2016-03-21 19:34:30 EDT
(In reply to Laura Abbott from comment #19)
> Yes, the xorg-x11-drv-intel component is correct.

So that component is responsible for video even when X is not yet started? This is definitely something in 4.4.* kernels (or kernel modules).
Comment 21 Larry B 2016-04-23 19:53:58 EDT
I am seeing the same issue with a blank screen when using any kernel above 4.3.5. 

I have no video as soon as I select the kernel to boot.

I also have an intel graphics controller. 

Is there any progress with this issue?
 
Any suggestions to get around problem?
Comment 22 Larry B 2016-06-03 22:20:53 EDT
I am now working with kernel 4.5.5-201
Comment 23 ken 2016-06-03 22:35:06 EDT
(In reply to Larry B from comment #22)
> I am now working with kernel 4.5.5-201

Does that mean video is working with kernel 4.5.5-201?
Comment 24 ken 2016-06-03 23:11:15 EDT
(In reply to ken from comment #23)
> (In reply to Larry B from comment #22)
> > I am now working with kernel 4.5.5-201
> 
> Does that mean video is working with kernel 4.5.5-201?

Sorry, didn't actually test it first.

Yes, I can confirm that kernel 4.5.5-201 DOES work!

Finally, somebody got this fixed. Thank you!!!
Comment 25 Basic Six 2016-06-07 11:01:39 EDT
Still having this issue with kernel 4.5.5-201 - screen blank, ttys don't work either.
https://bugzilla.redhat.com/show_bug.cgi?id=1314492
Comment 26 Fedora End Of Life 2016-11-24 10:51:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2016-12-20 14:08:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.